Subject: Re: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jun 2013 21:38:40 +0300

> Date: Mon, 24 Jun 2013 20:26:27 +0200
> From: Sebastian Wiesner <[email-masked]>
> Cc: [email-masked]
> 
> I did neither scream nor demand, but I actually expected you to apply
> care and attention to your work.  I write tests for my own code, and I
> run them, and I expected you to do so as well.  I see now, that you do
> not, which is embarrassing to you and very ignorant towards your
> users.

Out of fairness, you found 3 bugs in a single 1700-line package, and
made very far-fetching conclusions ("Don't you test your code?!") out
of that.  Emacs weighs in at 400K C lines and 1400K Lisp lines, so
with all due respect, accusing us in not testing our code based on
such a small sample is a bit too much.  If all that code were not
tested at all, it would never have worked at all.